import 'package:flutter/material.dart';
import 'package:rasadyar_chicken/presentation/pages/root/logic.dart';
import 'package:rasadyar_core/core.dart';

Widget inventoryWidget(RootLogic rootLogic) {
  return Container(
    width: Get.width,
    height: 39,
    margin: EdgeInsets.symmetric(horizontal: 8, vertical: 4),
    decoration: BoxDecoration(
      color: AppColor.greenLight,
      borderRadius: BorderRadius.circular(8),
      border: Border.all(color: AppColor.textColor, width: 0.5),
    ),
    alignment: Alignment.center,
    child: ObxValue((data) {
      return Text(
        ' موجودی انبار: ${data.value?.totalRemainWeight?.toInt().separatedByComma ?? '0'} کیلوگرم',
        style: AppFonts.yekan16.copyWith(color: AppColor.mediumGreyDarkHover),
      );
    }, rootLogic.inventoryModel),
  );
}
